Problem sa kompajliranjem (tar.gz , tar.bz2)

Malte ne od kako se druzim sa linuxom, uvek imam ovaj problem.

Doduse, pre nisam bio nesto preterano temeljan, medjutim sad sam resio da isteram na cistac gde gresim.

Skinuo sam flash player, spakovan u tar.gz formatu.

Raspakujem ga i pokusam da instaliram preko terminala sa komandama:

./configure make make install

Nalazim se u raspakovanom folderu.Medjutim, za svaku komandu mi pruijavljuje gresku

bash: no such file or directory

Konsultovao sam wiki, development tools su mi up to date(tj ne odradjuje auto update).
Isao sam peske, i instalirao sledece(naravno poslednje verzije preko synaptica)

glib >= 2.6.0 libglib2.0-dev
gtk+ >= 2.6.0 libgtk2.0-dev
pango >= 1.8.1 libpango1.0-dev
libgnomeprint >= 2.8.2 libgnomeprint2.2-dev
libgsf >= 1.13.3 libgsf-1-dev
libglade >= 2.3.6 libglade2-dev
gnome-xml >= 2.4.12 libxml2-dev
libart >= 2.3.11 libart-2.0-dev

Nista, isto kao i ranije. Ima li neko ideju?
Skinuo sam i tar.bz2(thunderbird najnoviji), nisam uspeo da ga kompajliram, nego sam primenio seljacku metodu: u zamenio sam sadrzaj originalnog foldera 3.1 sa najnovijom verzijom-uz pomoc administrativnih privilegija.

Gde gresim? Predpostavljam da je greska rudimentalna, ali ja je ne uvidjam.

Baci nam linkove sa kojih si preuzeo. Možda ne ide klasičan način kompajliranja. Pogledaj da li u raspakovanim fasciklama postoje dokumenti INSTALL ili README. Ako postoje, onda je u njima postupak za kompajliranje.
Ovaj postupak koji si naveo gore se koristi samo ako ne postoje pomenuti dokumenti koji ukazuju na poseban način.

Kad raspakujem, uvek pogledam da li ima uputstvo.

U oba slucaja, sadrzaj raspakovanog foldera je : bin lib share.

Jedno glupo pitanje: da li se razlikuje raspakivanje iz terminala, komandom, od raspakivanja preko desnog klika?

Oba su preuzeta sa zvanicnih sajtova-adobe.com i mozilla.com

Ne bi trebalo da se razlikuje raspakivanje. Nisam sad u Linux-u i neću da budem do večeras. Tek tad mogu da vidim, ako ti neko već ne pomogne do tad :wink:

Nema tu nikakvog kompajliranja, fajlovi se prepisu preko postojecis, ne razumem zasto skidas tako kad ima .deb pakovanje, ako je problem 64 bitni i to se skida her Zika sa Ubuntu-rs uvek ostavlja linkove i najnovija uputsva.
Evo ti kako to izgleda, primer, ako nije po pravilniku neka modovi brisu

http://forum.ubuntu-rs.org/Thread-64-bit-java-flash-i-script-za-brisanje-prethodnih-install-acija-flash-a?page=2

Najnoviji 64-bit-ni Flash plugin je dostupan:
(Adobe Beta 1 11.0.1.60 Jul 13, 2011)
http://download.macromedia.com/pub/labs/...311.tar.gz
(dovoljno je zameniti libflashplayer.so, u install-aciji koju preporučujem (symbolic link u ~/.mozilla/plugins i file, negde, gde Vam odgovara. zamenjujete, po potrebi, samo taj file, negde, gde Vam odgovara, symbolic link ostaje…)

S obzirom da sam isao na zvanicni sajt, i za jedno i za drugo, skinuo sam ono sto je bilo ponudjeno…gledao sam, .deb nije bio da se skine.

U pitanju je 32-bitni sistem…ne bi bilo lose neki link do najnovije verzije, eto u .deb

U svakom slucaju, nije bitno uopste da li se radi o flash playeru, ili nekom random programu, ako vec radim pod linuxom glupo je da ne znam da instaliram program iz tarballa.

P.S:sa thunderbird-om sam bas tako i uradio: jednostavno “prepisao” verziju 3.1 sa najnovijom verzijom

Kao što dragan99 kaže, ti programi se ne kompajliraju, već se samo sadržaj arhive kopira na željeno mesto (u željenu i odgovarajuću fasciklu). Nisi izabrao dobar primer za kompajliranje :wink:
Uzmi, npr. kompajliraj lxsplit. Kucaj u pretraživaču lxsplit i idi na njihovu zvaničnu stranicu, preuzmi tar arhivu i cepaj. Elem, lxsplit postoji u riznicama i instalira se na uobičajen način iz terminala, ali ako hoćeš da kompajliraš, preuzmi sa zvanične stranice i probaj.

Ma ne sporim da je primer los.

Mene sto zbunjuje, jeste da sam na par mesta nasao da ljudi i takve primere kompajliraju

Kada kompajliraš moraš biti u tom raspakovanom folderu inače on nema šta da kompajlira.
Korisnka komanda je pwd i uvek znaš gde se nalaziš.

Nema veze da li raspakivanje arhive radiš iz konzole ili sa desnim klikom. Sintaksa za raspakivanje iz konzole za tar.gz i tar.bz2 arhive je slična ali ne i ista.
Pa bi išlo ovako
dearhiviranje .tar.bz2

tar zxf [ime paketa]

dearhiviranje .tar.gz

tar xvfz [ime paketa]

Mint i ostali sateliti i nemaju nešto puno paketa koji imaju potrebu da se kompajliraju, iz tog razloga su Mint i otali sateliti toliko popularni ali ne i najbolji. :wink:

I još nešto. Kada naiđeš na paket koji ima potrebe da se kompajlira,
./configure i make radiš kao user a make install kao super user, znači išlo bi sudo make install.

ако бас хоћеш .deb паковање
http://packages.debian.org/search?keywords=flashplugin-nonfree
Тамо на Аdobe нема више понуђен .deb него APT а то му је исти ђаво, само се питам зашто скидаш кад има у званичним ризницама Minta, а нова верзија увек легне после пар дана у ризницу.

Deb paketi se instaliraju sudo dpkg -i [ime paketa].deb
Ili iz GUI-a sa GDebi Package Installer-om tj. dvoklikom na paket.